/*!**************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[1].oneOf[1].use[1]!./assets/css/footer.css ***!
  \**************************************************************************************************************/
footer {
	background-color : black;
	color : white;
	height : 300px;

}

footer ul {
	list-style : none;
	margin : 25px auto;
	width : 700px;
	text-align : center;
}


footer .ligne {
	display : inline;
	margin-right : 10px;
	line-height: 24px;
}

footer p {
	text-align : center;
	width : 100%;
	margin-top : 50px;
	position : relative;
	top : 30px;
	font-size : 24px;
	margin-bottom: 100px;
}

footer a {
	display : inline-block;
	font-size : 16px;
	text-decoration : none;
	color : grey;
}

footer a:hover {
	color : white;
	border-bottom : 1px solid white;
}
/*!**************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[1].oneOf[1].use[1]!./assets/css/header.css ***!
  \**************************************************************************************************************/
body {
    margin: 0;
    font-family: 'Arial', sans-serif;
}
header{
    background-color: black;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width : 100%;
    /*height : 160px;*/

}

header a{
    text-decoration: none;
    color:var(--greyMH);
    font-size: 14px;
}

.topHead{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 10px;
    width: 90%;
}

.toHide{
    width: 40px;
}
#brandBtn img{
    width: 150px;
}

.cartInfo{
    position: relative;
    top:20px;
}

#cartBtn img{
    width: 30px;
}

.bottomHead ul{
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    margin-top: 5px;
    margin-bottom: 10px;
    gap: 20px;
    padding-left: 0;
    text-transform: uppercase;
}

.bottomHead ul a:hover{
    color: white;
    border-bottom: 1px solid white;
}

#totalItem{
    position: absolute;
    bottom: -4px;
    right: -4px;
    width: 20px;
    height: 20px;
    line-height: 20px;
    text-align: center;
    background-color: white;
    color: black;
    border-radius: 50%;
    font-size: 12px;
    margin: 0;
}
/*resp*/

@media screen and (max-width:1024px){
    .content{
        padding: 0px 20px !important;
    }
}
@media screen and (max-width:769px){
    .content{
        font-size: 14px !important;
    }
}

/*footer*/
/* resp css*/
ul.footer-badges-list {
    flex-wrap: wrap;
}
footer a {
    word-break: break-all;
    box-sizing: border-box;
}
body , body * {
    box-sizing: border-box!important;
}
body footer ul {
    max-width: 700px;
    width: 100%!important;
    gap: 10px;
    display: flex;
    justify-content:center;
    flex-wrap: wrap;
    margin: 0px auto;
    padding: 0px;
    box-sizing: border-box;
}
#gd-pre-footer .wrapper {
    flex-wrap: wrap;
}
footer p {
    margin-bottom: 30px;
    display: block;
    margin-top: 0px;
    top: 0px;
}
footer {
    height: unset;
    padding: 70px 20px;
}
ul.footer-badges-list {
    flex-wrap: wrap;
    padding: 0px 20px;
    gap: 20px;
}
@media only screen and (max-width: 1024px){
    #gd-pre-footer .wrapper{
        gap: 20px!important;
        padding:0px 20px;
    }

    ul.footer-badges-list{
        margin:0px;
        padding:60px 20px;
    }
}
@media only screen and (max-width: 767px){
    footer a {
        font-size:13px;
    }

    #gd-pre-footer .wrapper .divImageMarquage{
        width: calc(50% - 10px);
        min-width: calc(50% - 10px);
    }

    .bottomHead ul{
        padding: 0px 20px;
        justify-content: center;
    }
    footer .ligne {
        width: 100%;
        text-align: center;
    }

    ul.footer-badges-list li {
        width: calc(50% - 10px);
    }
}
/*header*/
#toggleNav {
    display:none;
}
@media only screen and (max-width: 1024px){
    .topHead{
        align-items:center;;
    }
    #cartBtn img {
        width: 25px;
    }
    #totalItem {
        bottom: -1px;
        right: -2px;
        width: 15px;
        height: 15px;
        line-height:15px;
        font-size: 10px;

    }
    span#toggleNav {
        width: 22px;
        display:inline-block;
    }
    #toggleNav .line{
        width:100%;
        display:block;
        height:1px;
        transition:0.3s;
        background:#fff;
    }
    #toggleNav.active .line.line1{
        transform:rotate(45deg);
    }
    #toggleNav.active .line.line2{
        position:relative;
        top:-5px;
        transform:rotate(-45deg);
    }
    #toggleNav.active .line.line3{
        display: none;
    }
    #toggleNav .line + .line{
        margin-top:5px;
    }
    body:has(.bottomHead.active){
        overflow:hidden;
    }
    .bottomHead{
        left:-250px;
        position: fixed;
        transition:0.3s;
        width: 250px;
        background: #000;
        z-index: 999;
        max-width: 95%;
        top: 50px;
        bottom: 0px;
        display: flex;
        align-items: start;
        padding-top:50px;
        justify-content: start;
    }
    .bottomHead.active{
        left: 0px;
    }

    a#brandBtn img {
        width:100px;
    }
    header ul{
        gap: 10px!important;
    }
    header a {
        text-align: left;
        font-size: 12px;
    }
    .bottomHead ul{
        padding: 0px 20px;
        justify-content: start;
    }
    .cartInfo{
        top: 0px !important;
    }
    span.toHide{
        display:none;
    }
}
@media only screen and (max-width: 767px){
    #cartBtn img {
        width: 25px;
    }
    #totalItem {
        bottom: -1px;
        right: -2px;
        width: 15px;
        height: 15px;
        line-height:15px;
        font-size: 10px;

    }
    span#toggleNav {
        width: 22px;
        display:inline-block;
    }
    #toggleNav .line{
        width:100%;
        display:block;
        height:1px;
        transition:0.3s;
        background:#fff;
    }
    #toggleNav.active .line.line1{
        transform:rotate(45deg);
    }
    #toggleNav.active .line.line2{
        position:relative;
        top:-5px;
        transform:rotate(-45deg);
    }
    #toggleNav.active .line.line3{
        display: none;
    }
    #toggleNav .line + .line{
        margin-top:5px;
    }
    body:has(.bottomHead.active){
        overflow:hidden;
    }
    .bottomHead{
        left:-250px;
        position: fixed;
        transition:0.3s;
        width: 250px;
        background: #000;
        z-index: 999;
        max-width: 95%;
        top: 50px;
        bottom: 0px;
        display: flex;
        align-items: start;
        padding-top:50px;
        justify-content: start;
    }
    .bottomHead.active{
        left: 0px;
    }

    a#brandBtn img {
        width:100px;
    }
    header ul{
        gap: 10px!important;
    }
    header a {
        text-align: left;
        font-size: 12px;
    }
    .bottomHead ul{
        padding: 0px 20px;
        justify-content: start;
    }
    .cartInfo{
        top: 0px !important;
    }
    span.toHide{
        display:none;
    }
}
/***.bandeau ul {*/
/*    display : flex;*/
/*    list-style : none;*/
/*    margin : 50px auto;*/
/*    width : 700px;*/
/*    text-transform : uppercase;*/
/*}*/

/*.bandeau li {*/
/*    margin : 0 auto;*/
/*    text-align : center;*/
/*    border : 3px solid black;*/
/*    font-size : 16px;*/
/*    letter-spacing : 0px;*/
/*}*/

/*.bandeau a {*/
/*    text-decoration : none;*/
/*    color : #BFBFBF;*/
/*}*/

/*.bandeau a:hover {*/
/*    color : white;*/
/*    border-bottom : 1px solid white;*/
/*}*/

/*.onglet2 a {*/
/*    color : white;*/
/*    border-bottom : 1px solid white;*/
/*}*/

@media screen and (max-width:1024px){
    section h6{
        margin: 20px 0px
    }
    section{
        width: 100% !important;;
        margin:70px auto !important;
        padding: 0px 20px !important;
    }
    .titre{
        margin-top:30px;
    }
}
@media screen and (max-width:769px){
    .content{
        font-size: 14px !important;
    }
}

.livraison-offerte-bandeau {
    background-color: var(--greenMH);
    text-align: center;
    padding: 5px 0;
    width: 100%;
}

.livraison-offerte-bandeau p {
    margin: 0;
    color: white !important;
    font-size: 14px;
    line-height: normal;
    /*font-weight: bold;*/
}


/*!*********************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[1].oneOf[1].use[1]!./assets/css/style_accueil.css ***!
  \*********************************************************************************************************************/
:root {
    --greenMH: #21C366;
    --greyMH: #D5D5D5;
    --blueMH: #0076BA;
    --greyTextMH: #5E5E5E;
}


/** {*/
/*    margin: 0;*/
/*    padding: 0;*/
/*    border: 0;*/
/*    outline: 0;*/
/*    font-size: 100%;*/
/*    vertical-align: baseline;*/
/*    background: transparent;*/
/*}*/


/*html {*/
/*  font-size: 10px; !* px signifie 'pixels': la taille de base pour la police est désormais 10 pixels de haut  *!*/
/*  font-family: 'Mulish', sans-serif;*/
/*}*/


/*!*****************************************!*/
/*!***************** BANDEAU ***************!*/
/*!*****************************************!*/


/*header {*/
/*	background-color : black;*/
/*	height : 160px;*/
/*}*/

/*.bandeau img {*/
/*	display : block;*/
/*	margin : 0 auto 0 auto;*/
/*	position : relative;*/
/*	top : 20px;*/
/*}*/

/*.bandeau ul {*/
/*	display : flex;*/
/*	list-style : none;*/
/*	margin : 50px auto;*/
/*	width : 700px;*/
/*	text-transform : uppercase;*/
/*}*/

/*.bandeau li {*/
/*	margin : 0 auto;*/
/*	text-align : center;*/
/*	font-size : 16px;*/
/*	letter-spacing : 0;*/
/*}*/

/*.bandeau a {*/
/*	text-decoration : none;*/
/*	color : #BFBFBF;*/
/*}*/

/*.bandeau a:hover {*/
/*	color : white;*/
/*	border-bottom : 1px solid white;*/
/*}*/


/*!*************************************!*/
/*!********* CORPS DE LA PAGE **********!*/
/*!*************************************!*/

/*h2 {*/
/*!*	text-align : center;*!*/
/*	font-size : 40px;*/
/*	letter-spacing : 1px;*/
/*	margin : 0;*/
/*	padding : 20px 0;*/
/*	color : black;*/
/*	width : 350px;*/
/*	line-height : 50px;*/
/*}*/


/*.com {*/
/*	width : 400px;*/
/*	padding-bottom : 40px;*/
/*	ont-size : 16px;*/
/*	letter-spacing : 1px;*/
/*}*/


/*.blok1 li, .blok2 li, .blok3 li {*/
/*	font-size : 16px;*/
/*	line-height : 30px;*/
/*	letter-spacing : 1px;*/
/*}*/


/*.blok1, .blok2, .blok3 {*/
/*width: 1150px;*/
/*margin: 30px auto;*/
/*padding: 30px 20px 30px 40px;*/
/*}*/


/*.blok1 ul, .blok2 ul, .blok3 ul {*/
/*list-style : none;*/
/*display : flex;*/
/*margin : 0 auto;*/
/*line-height : 5px;*/
/*padding-left : 10px;*/
/*padding-top : 10px;*/
/*}*/

/*.blok1 ul li, .blok2 ul li, .blok3 ul li {*/
/*margin : 0 auto;*/
/*}*/

/*.bouton {*/
/*	padding : 10px 30px 15px 30px;*/
/*	background-color : black;*/
/*	color : white;*/
/*	display : inline-block;*/
/*	text-decoration : none;*/
/*	text-transform : uppercase;*/
/*}*/

/*.bouton:hover {*/
/*	transform : scale(1.03);*/
/*}*/

/*!*Aligner les images avec le centre du texte*!*/
/*!**/
/*.blok1 img, .blok2 img, .blok3 img{*/
/*	position: relative;*/
/*	top: 50%;*/
/*	-ms-transform: translateY(-50%);*/
/*	-webkit-transform: translateY(-50%);*/
/*	transform: translateY(-50%);*/
/*	max-width : 100%;*/
/*}*/
/**!*/
/*.iconespdg ul {*/
/*	display : flex;*/
/*	list-style : none;*/
/*	width : 1000px;*/
/*	margin : 0 auto;*/
/*}*/

/*.iconespdg li {*/
/*	margin : 0 auto;	*/
/*}*/

/*@font-face {*/
/*	font-family: 'Montserrat Regular';*/
/*	src: url('/assets/css/Montserrat-Regular.ttf') format('truetype');*/
/*	!*url('/assets/fonts/avenir-next.woff') format('woff');*!*/
/*	font-weight: normal;*/
/*	font-style: normal;*/
/*}*/

.gotham-font {
    font-family: "gotham", sans-serif;
    font-weight: 400;
    font-style: normal;
}


/* Styles pour la mise en page */
body {
    margin: 0;
    /*font-family: "Montserrat", sans-serif;*/
    /*font-optical-sizing: auto;*/
    /*font-weight: 400;*/
    /*font-style: normal;*/
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}

.buttonGreen {
    background-color: var(--greenMH);
    color: white;
    transition: background-color 0.3s ease;
    border-radius: 15px;
    min-width: fit-content;
}

.buttonGreen:hover {
    background-color: #1eb05c;
}

.message{
    margin:20px auto 50px auto !important;
    padding:0px 20px;
    width:100%;
    max-width:1200px;
    line-height:1.4;
}
body, body * {
    box-sizing: border-box !important;
}

#clients{
    width: 75%;
    height: auto
}
@media screen and (max-width: 1024px){
    .grid-produits{
        width:100%;
        gap:20px;
        min-width:unset;
        /*padding: 0px 20px;*/
        margin: 70px 0px 0px 0px;
    }
    .produit img{
        width:100%;
        transition: opacity 0.15s ease-in-out;
    }
    .produit .nom{
        margin-bottom:0px!important;
    }
    .produit .prix{
        margin-top:5px!important;
        margin-bottom:0px!important;
    }
    .produit .nbrCouleurs {
        margin-top: 1rem !important;
        margin-bottom: 1.5rem;
        color: var(--greyTextMH);
        font-size: 13px;
        font-weight: 400;
    }
    .produit{
        margin: 0px;
        width:calc(33.3% - 20px);


    }
}
@media screen and (max-width: 767px){
            .produit{
                text-align:center;
                width:calc(50% - 10px);
        
            }
        }

.footer-badge-image {
    height: 110px;
    width: auto;
}

/*# sourceMappingURL=data:application/json;charset=utf-8;base64,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*/